Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.soa.esb.services.jbpm
Enum Constants.OpCode

    java.lang.Object
      java.lang.Enum<Constants.OpCode>
          org.jboss.soa.esb.services.jbpm.Constants.OpCode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Constants.OpCode>

Enclosing class:
  Constants

    public static enum Constants.OpCode

extends java.lang.Enum<Constants.OpCode>

Enum Constant Summary
`CallbackCommand`
`CancelProcessInstanceCommand`
`NewProcessInstanceCommand`
`SignalCommand`
`StartProcessInstanceCommand`

Method Summary
`static Constants.OpCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Constants.OpCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CallbackCommand

    public static final Constants.OpCode CallbackCommand

### CancelProcessInstanceCommand

    public static final Constants.OpCode CancelProcessInstanceCommand

### NewProcessInstanceCommand

    public static final Constants.OpCode NewProcessInstanceCommand

### SignalCommand

    public static final Constants.OpCode SignalCommand

### StartProcessInstanceCommand

    public static final Constants.OpCode StartProcessInstanceCommand

Method Detail

### values

    public static final Constants.OpCode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Constants.OpCode c : Constants.OpCode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Constants.OpCode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD